Subject: Re: [PATCH] git-p4: support exclude in 'git p4 sync'

From: Pete Wyckoff <[email-masked]>
Date: Sun, 18 Jan 2015 09:02:55 -0500

[email-masked] wrote on Sat, 17 Jan 2015 20:56 +0000:
> The git-p4 'clone' subcommand has long had the option to specify
> parts of the repo to be excluded, on the command line. But this has
> not been present in 'sync', which makes it less than useful: as
> soon as you do a sync, the excluded parts start being repopulated
> as those directories are changed.
> 
> (You can achieve the same effect by using a client specification to
> do the exclusion, but that's then an extra step).
> 
> The code for doing the exclusion is actually all present in the base
> 'P4Sync' class: this change turns that on by moving the definition
> of the command-line switch.
> 
> It also updates the documentation and adds a test-case.
> 
> Thanks,
> Luke
> 
> And yes, I'm back to using version control systems other than git :-(

So sorry. I on the other hand have been fortunate enough to
switch to using only git.

Nevertheless, I read through the patch and it looks good and
makes sense. You've got my ack on this for what it's worth.
Hopefully someone else starts picking up the git-p4 maintenance
work. Hint.

		-- Pete